[Overview][Types][Classes][Procedures and functions][Index] | Reference for unit 'matrix' (#rtl)

# operator *(Tmatrix4_double, Tvector4_double): Tvector4_double

Give product of a four-dimendional double precision matrix and vector

## Declaration

Source position: matrix.pp line 579

`operator operator *(Tmatrix4_double, Tvector4_double): Tvector4_double(`
`const m: Tmatrix4_double;`
`const v: Tvector4_double`
`):Tvector4_double;`

## Description

This operator allows you to multipy a four-dimensional double precision matrices with a four dimensional double precision vector. A new vector is returned which is the product of the matrix and the vector. The product is calculated using the well known matrix-vector multiplication algorithm.

Documentation generated on: Feb 26 2014